Gtk_FontSelectionDialog(3)

NAME - Gtk_FontSelectionDialog

HEADER REQUIRED
#include <gtk--/fontselection.h&gt;>

BASE CLASSES
Gtk_Window(3)

PUBLIC MEMBER INDEX
    Gtk_FontSelectionDialog(const _gtk_string &title);
    Gtk_FontSelectionDialog(GtkFontSelectionDialog *castitem);
    void  set_font_name(const string &fontname);
    string  get_font_name() const;
    Gdk_Font  get_font() const;
    void  set_preview_text(const string &fontname);
    string  get_preview_text() const;
    void  set_filter(GtkFontFilterType filter_type, GtkFontType	font_type, const vector	&foundries, const vector	&weights, const vector	&slants, const vector	&setwidths, const vector	&spacings, const vector	&charsets);
    Gtk_FontSelection*  get_font_selection();
    Gtk_Button*  get_ok_button();
    Gtk_Button*  get_apply_button();
    Gtk_Button*  get_cancel_button();
    const Gtk_FontSelection*  get_font_selection() const;
    const Gtk_Button*  get_ok_button() const;
    const Gtk_Button*  get_apply_button() const;
    const Gtk_Button*  get_cancel_button() const;
    GtkFontSelectionDialog*  gtkobj();
    const GtkFontSelectionDialog*  gtkobj() const;
    static bool  isGtkFontSelectionDialog(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkFontSelectionDialog  BaseObjectType;
    typedef GtkFontSelectionDialogClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_FontSelection  fontsel_;
    Gtk_Button  ok_button_, apply_button_, cancel_button_;

PRIVATE MEMBER INDEX
    static CppClassType  font_selection_dialog_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS